org.vishia.guiBzr

## Class GuiSelectPanel

- java.lang.Object
- - org.vishia.guiBzr.GuiSelectPanel

-     public class GuiSelectPanel
      extends java.lang.Object

  The panel which contains a table to select SVM archive locations
  Since:
    2013.03-29

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionGetStatus` Gets the status for the Component of the actual line, refresh the line.
    `(package private) GralUserAction` | `actionOnSelectedLine`
    `(package private) GralUserAction` | `actionRefreshSelectTable`
    `(package private) StringFormatter` | `formatter`
    `(package private) java.util.List<FileSystem.FileAndBasePath>` | `listBzrDirs` TODO only private local using here, it should be a part of DataProject.
    `(package private) MainData` | `mainData` Aggregation to the main data of the GUI.
    `(package private) GralMngBuild_ifc` | `mng` Aggregation to the build interface of the manager where the panel is member of.
    `(package private) java.lang.String` | `sArchiveTreeBaseDir`
    `(package private) java.lang.String` | `sRemoteArchiveTreeBaseDir`
    `(package private) java.lang.String` | `sWorkingTreeBaseDir`
    `(package private) GralTable` | `tableSelect`
    `(package private) GralWidget` | `widgdProjektpath` Widget to select the project path.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiSelectPanel(MainData mainData, GralMngBuild_ifc panelBuildifc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `getBzrLocations()` Searches all locations of source-archives in the current project folder and all sub folders.
    `(package private) void` | `initGui()` Initializes the graphic.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sWorkingTreeBaseDir

          java.lang.String sWorkingTreeBaseDir

    - #### sArchiveTreeBaseDir

          java.lang.String sArchiveTreeBaseDir

    - #### sRemoteArchiveTreeBaseDir

          java.lang.String sRemoteArchiveTreeBaseDir

    - #### formatter

          StringFormatter formatter

    - #### listBzrDirs

          java.util.List<FileSystem.FileAndBasePath> listBzrDirs

      TODO only private local using here, it should be a part of DataProject.

    - #### mainData

          final MainData mainData

      Aggregation to the main data of the GUI.

    - #### mng

          final GralMngBuild_ifc mng

      Aggregation to the build interface of the manager where the panel is member of.

    - #### tableSelect

          GralTable tableSelect

    - #### widgdProjektpath

          GralWidget widgdProjektpath

      Widget to select the project path. The project is a user-project which contains one or more source archive-sandboxes.

    - #### actionRefreshSelectTable

          GralUserAction actionRefreshSelectTable

    - #### actionGetStatus

          GralUserAction actionGetStatus

      Gets the status for the Component of the actual line, refresh the line.

    - #### actionOnSelectedLine

          GralUserAction actionOnSelectedLine

  - ### Constructor Detail

    - #### GuiSelectPanel

          public GuiSelectPanel(MainData mainData,
                                GralMngBuild_ifc panelBuildifc)

  - ### Method Detail

    - #### initGui

          void initGui()

      Initializes the graphic. It will be called in the GUI-Thread.

    - #### getBzrLocations

          void getBzrLocations()

      Searches all locations of source-archives in the current project folder and all sub folders. A project means a software project with some sources consisting of some Components with its own archives.
      Parameters:
        `sProjectPath` - Path to the project folder.